import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { SortOrderInputObjectSchema as SortOrderInputObjectSchema } from './SortOrderInput.schema';
import { AppointmentOrderByWithRelationInputObjectSchema as AppointmentOrderByWithRelationInputObjectSchema } from './AppointmentOrderByWithRelationInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  appointmentId: SortOrderSchema.optional(),
  filename: SortOrderSchema.optional(),
  mimeType: z.union([SortOrderSchema, z.lazy(() => SortOrderInputObjectSchema)]).optional(),
  filePath: z.union([SortOrderSchema, z.lazy(() => SortOrderInputObjectSchema)]).optional(),
  appointment: z.lazy(() => AppointmentOrderByWithRelationInputObjectSchema).optional()
}).strict();
export const AppointmentFileOrderByWithRelationInputObjectSchema: z.ZodType<Prisma.AppointmentFileOrderByWithRelationInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileOrderByWithRelationInput>;
export const AppointmentFileOrderByWithRelationInputObjectZodSchema = makeSchema();
